package com.qmth.themis.business.enums;

/**
 * @Description: mq group enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqGroupEnum {

    /**
     * session会话
     */
    SESSION_GROUP("themis-group-exam-session"),

    /**
     * 用户轨迹
     */
    USER_LOG_GROUP("themis-group-exam-userLog"),

    /**
     * 导入导出任务
     */
    TASK_GROUP("themis-group-exam-task"),

    /**
     * 日志
     */
    LOG_GROUP("themis-group-exam-log"),

    /**
     * websocket oe 考生 group
     */
    WEBSOCKET_OE_GROUP("themis-group-exam-websocketOe"),

    /**
     * websocket oe 考生 group
     */
    WEBSOCKET_OE_MOBILE_GROUP("themis-group-exam-websocketOeMobile"),

    /**
     * websocket超时退出 考生 group
     */
    WEBSOCKET_DELAY_GROUP("themis-group-exam-websocketDelay"),

    /**
     * quartz 考场 group
     */
    QUARTZ_GROUP("themis-group-exam-quartz"),

    /**
     * 计算客观分
     */
    CALCULATE_OBJECTIVE_SCORE_GROUP("themis-group-exam-calculateObjectiveScore"),

    /**
     * 人脸验证
     */
    FACE_VERIFY_SAVE_GROUP("themis-group-exam-faceVerifySave"),
    /**
     * 活体验证
     */
    LIVENESS_VERIFY_SAVE_GROUP("themis-group-exam-livenessVerifySave"),

    /**
     * 考试记录数据持久化
     */
    EXAM_RECORD_PERSISTED_GROUP("themis-group-exam-examRecordPersisted"),
    
    /**
     * 考试记录数据初始化
     */
    EXAM_RECORD_INIT_GROUP("themis-group-exam-examRecordInit"),
    
    /**
     * 考试记录数据更新
     */
    EXAM_RECORD_UPDATE_GROUP("themis-group-exam-examRecordUpdate"),
	
	/**
     * 考试重新算分
     */
    SCORE_CALCULATE_GROUP("themis-group-exam-scoreCalculate"),
    /**
     * 考生数据更新
     */
    EXAM_STUDENT_UPDATE_GROUP("themis-group-exam-examStudentUpdate"),

    /**
     * 考试断点
     */
    EXAM_BREAK_GROUP("themis-group-exam-examBreak");

    private MqGroupEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}